<?php 
namespace Yjtec\Rbac\Commands;
use Illuminate\Console\Command;
use Yjtec\Rbac\Models\Menu;
use Yjtec\Support\Nested;
class Export extends Command{
     protected $signature="rbac:export
        {file : the path of import file}
    ";

    protected $description = 'export a json file !';

    public function handle(){
        $file = $this->argument('file');
        $list = Menu::get(['id','title','name','icon','path','pid','is_show','is_show_children'])->toArray();
        $nested = static::Nested($list,0);
        $content = json_encode($nested,JSON_UNESCAPED_UNICODE);
         if(file_put_contents($file, $content)){
            $this->info("export success!");
        }else{
            $this->error("export Error!");
        }
    }

    public static function nested($cate,$pid){
        $arr = [];
        foreach ($cate as &$v) {
            if ($v['pid'] == $pid) {
                $v['children']   = self::nested($cate, $v['id']);
                if (count($v['children']) == 0) {
                    unset($v['children']);
                }
                
                //unset($v['pid']);
                $arr[] = collect($v)->except(['id','pid'])->all();
            }
        }
        return $arr;
    }
}